Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.metadata
Interface IEssMember

All Superinterfaces:
  IEssBaseObject, IEssExtendedObject, IEssProperties

public interface IEssMember
extends IEssExtendedObject, IEssProperties

The IEssMember interface. There are 3 ways to get the IEssMember object depending on your need: 1. By performing a member selection query using IEssMemberSelection interface, 2. By opening the cube outline and getting the members, 3. Using the IEssCube.getMember().

Depending on the way the IEssMemberObject is created certain methods in the interface will not be relevant and will throw appropriate exception. If IEssMember is obtained using IEssCube.getMember, then only the following methods will work and the rest will throw exception: getName, getDescription, isDimensionRootMember, getLevelNumber, getGenerationNumber, getConsolidationType, getDimensionName, getParentMemberName, getFirstChildMemberName, getPreviousSiblingMemberName, getNextSiblingMemberName, getMemberNumber, getDimensionNumber.

Nested Class Summary
`static class` | `IEssMember.EEssConsolidationType` EEssConsolidationType class is the unary consolidation type.
`static class` | `IEssMember.EEssCurrencyConversionType` EEssCurrencyConversionType class is the currency conversion type.
`static class` | `IEssMember.EEssShareOption` EEssShareOption class is the enumeration of data storage share options.
`static class` | `IEssMember.EEssTimeBalanceOption` EEssTimeBalanceOption class is the enumeration of time balance options.
`static class` | `IEssMember.EEssTimeBalanceSkipOption` EEssTimeBalanceSkipOption class is the time balance skip option.

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Field Summary
`static int` | `PROP_ATTRIBUTE_VALUE`
`static int` | `PROP_CHILD_COUNT`
`static int` | `PROP_CONSOLIDATION_TYPE`
`static int` | `PROP_CURRENCY_CATEGORY_OR_NAME`
`static int` | `PROP_CURRENCY_CONVERSION_TYPE`
`static int` | `PROP_DESCRIPTION`
`static int` | `PROP_DIMENSION_NAME`
`static int` | `PROP_GENERATION_NUMBER`
`static int` | `PROP_IS_ATTRIBUTES_ASSOCIATED`
`static int` | `PROP_IS_DIMENSION_ROOT`
`static int` | `PROP_IS_EXPENSE_MEMBER`
`static int` | `PROP_IS_TWO_PASS_CALC_MEMBER`
`static int` | `PROP_LEVEL_NUMBER`
`static int` | `PROP_NAME`
`static int` | `PROP_SHARE_OPTION`
`static int` | `PROP_TIME_BALANCE_OPTION`
`static int` | `PROP_TIME_BALANCE_SKIP_OPTION`
`static int` | `s_countProperties`
`static IEssValueAny.EEssDataType[]` | `s_propDataTypes`
`static IEssProperties.EEssPropertyMode[]` | `s_propModes`
`static java.lang.String[]` | `s_propNames`

Method Summary
`void` | `addAliasCombination(java.lang.String aliasTableName, java.lang.String alias, java.lang.String mbrCombination)` Deprecated. This function is deprecated in 7.1 version.
`IEssMember` | `createChildAttributeMember(java.lang.String name, IEssDimension.EEssAttributeDataType attrDataType, IEssMember prevSibling)` Creates a child attribute member.
`IEssMember` | `createChildMember(java.lang.String name)` Creates a child member.
`IEssMember` | `createChildMember(java.lang.String name, IEssMember prevSibling)` Creates a child member.
`IEssMember` | `createChildMember(java.lang.String name, IEssMember prevSibling, IEssMember.EEssShareOption shareOption)` Creates a child member.
`IEssMember` | `createChildMember(java.lang.String name, IEssMember prevSibling, java.lang.String description, IEssMember.EEssConsolidationType consolidation, boolean twoPass, boolean expense, IEssMember.EEssCurrencyConversionType conversion, java.lang.String curCatOrName, IEssMember.EEssTimeBalanceOption timeBalance, IEssMember.EEssTimeBalanceSkipOption timeBalSkip, IEssMember.EEssShareOption shareOption)` Creates a child member.
`void` | `createUDA(java.lang.String uda)` Creates a User Defined Attribute for this member.
`void` | `delete()` Delete the member from the outline.
`void` | `deleteAlias(java.lang.String aliasTablename)` Deletes the default member alias for this member in a specific alias table.
`void` | `deleteAliasCombination(java.lang.String aliasTableName, java.lang.String alias)` Deprecated. This function is deprecated in 7.1 version.
`void` | `deleteFormula()` Deletes the member formula.
`void` | `deleteUDA(java.lang.String uda)` Deletes a User Defined Attribute for this member.
`java.lang.String` | `getAlias(java.lang.String aliasTablename)` Gets the default member alias for this member in a specific alias table.
`java.lang.String[]` | `getAliasCombinations(java.lang.String aliasTableName)` Deprecated. This function is deprecated in 7.1 version.
`IEssIterator` | `getAssociatedAttributes()` Gets all attribute members that are associated with a base member or dimension.
`IEssDimension.EEssAttributeDataType` | `getAttributeMemberDataType()` Gets the attribute member data type.
`IEssValueAny` | `getAttributeValue()` Gets the attribute value.
`int` | `getChildCount()` Gets the total number of children of this member.
`IEssIterator` | `getChildMembers()` Gets the list of child members.
`IEssIterator` | `getChildMembers(boolean withAllProps)` Gets the list of child members.
`IEssMember.EEssConsolidationType` | `getConsolidationType()` Gets unary consolidation type.
`java.lang.String` | `getCurrencyCategoryOrName()` Gets the currency category (If member is of the accounts dimension and currency conversion (EEssCurrencyConversionType) is CATEGORY) or the currency name (If member is of the Country dimension).
`IEssMember.EEssCurrencyConversionType` | `getCurrencyConversionType()` Gets the currency conversion type.
`java.lang.String` | `getDescription()` Gets the member description.
`IEssDimension.EEssDimensionCategory` | `getDimensionCategory()` Gets the Dimension category.
`java.lang.String` | `getDimensionName()` Gets the member's dimension name.
`int` | `getDimensionNumber()` Gets the member's dimension number.
`IEssDimension.EEssDimensionStorageCategory` | `getDimensionStorageCategory()` Gets the dimension storage category.
`java.lang.String` | `getFirstChildMemberName()` Deprecated.
`java.lang.String` | `getFormula()` Gets the member formula.
`int` | `getGenerationNumber()` Gets the level of the generation in the outline.
`java.lang.String` | `getLastFormula()` Gets the last member formula used to calculate the member.
`int` | `getLevelNumber()` Gets the level of the member in the outline.
`int` | `getMemberNumber()` Gets the member number (The position of the member starting from bottom left in the dimension hierarchy).
`java.lang.String` | `getName()` Gets the member name.
`java.lang.String` | `getNextSiblingMemberName()` Deprecated.
`java.lang.String` | `getParentMemberName()` Gets the parent member name.
`java.lang.String` | `getPreviousSiblingMemberName()` Deprecated.
`java.lang.String[]` | `getRelatedMemberNames()` Gets the name of the parent, previous sibling, next sibling, first child.
`IEssMember.EEssShareOption` | `getShareOption()` Gets the data storage share option.
`IEssMember.EEssTimeBalanceOption` | `getTimeBalanceOption()` Gets the time balance option.
`IEssMember.EEssTimeBalanceSkipOption` | `getTimeBalanceSkipOption()` Gets the time balance skip option.
`java.lang.String[]` | `getUDAs()` Gets the User Defined Attributes of this member.
`boolean` | `isAttributesAssociated()` Checks if this member has attributes associated with it.
`boolean` | `isDimensionRootMember()` Checks if this member is the root member of the dimension to which it belongs.
`boolean` | `isExpenseMember()` Checks if expense member.
`boolean` | `isRelationalDescendantPresent()` Checks if relational descendant is present.
`boolean` | `isRelationalPartitionEnabled()` Checks if relational partition is enabled.
`boolean` | `isTwoPassCalculationMember()` Checks if two-pass calculation member.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `rename(java.lang.String newMbrName)` Renames the member.
`void` | `setAlias(java.lang.String aliasTablename, java.lang.String alias)` Sets the default member alias for this member in a specific alias table.
`void` | `setAttributeMemberDataType(IEssDimension.EEssAttributeDataType attrMbrDataType)` Gets the attribute member data type.
`void` | `setConsolidationType(IEssMember.EEssConsolidationType consolidation)` Sets unary consolidation type.
`void` | `setCurrencyCategoryOrName(java.lang.String curCatOrName)` Sets the currency category (If member is of the accounts dimension and currency conversion (EEssCurrencyConversionType) is CATEGORY) or the currency name (If member is of the Country dimension).
`void` | `setCurrencyConversionType(IEssMember.EEssCurrencyConversionType conversion)` Gets the currency conversion type.
`void` | `setDescription(java.lang.String description)` Sets the member description.
`void` | `setExpenseMember(boolean expense)` Sets if expense member.
`void` | `setFormula(java.lang.String formula)` Sets the member formula.
`void` | `setRelationalDescendantPresent(boolean relDesc)` Sets if relational descendant is present.
`void` | `setRelationalPartitionEnabled(boolean relPartEnabled)` Sets if relational partition is enabled.
`void` | `setShareOption(IEssMember.EEssShareOption share)` Sets the data storage share option.
`void` | `setTimeBalanceOption(IEssMember.EEssTimeBalanceOption timeBalance)` Gets the time balance option.
`void` | `setTimeBalanceSkipOption(IEssMember.EEssTimeBalanceSkipOption timeBalSkip)` Gets the Time balance skip option.
`void` | `setTwoPassCalculationMember(boolean twoPass)` Sets if two-pass calculation member.
`void` | `sortChildren(boolean ascending)` Sorts the children of this member.
`void` | `updatePropertyValues()` Updates the property values.

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, setPropertyValueAny, setPropertyValueAny`

Field Detail

### PROP_NAME

    public static final int PROP_NAME

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final int PROP_DESCRIPTION

See Also:
  Constant Field Values

### PROP_IS_DIMENSION_ROOT

    public static final int PROP_IS_DIMENSION_ROOT

See Also:
  Constant Field Values

### PROP_LEVEL_NUMBER

    public static final int PROP_LEVEL_NUMBER

See Also:
  Constant Field Values

### PROP_GENERATION_NUMBER

    public static final int PROP_GENERATION_NUMBER

See Also:
  Constant Field Values

### PROP_CONSOLIDATION_TYPE

    public static final int PROP_CONSOLIDATION_TYPE

See Also:
  Constant Field Values

### PROP_IS_TWO_PASS_CALC_MEMBER

    public static final int PROP_IS_TWO_PASS_CALC_MEMBER

See Also:
  Constant Field Values

### PROP_IS_EXPENSE_MEMBER

    public static final int PROP_IS_EXPENSE_MEMBER

See Also:
  Constant Field Values

### PROP_CURRENCY_CONVERSION_TYPE

    public static final int PROP_CURRENCY_CONVERSION_TYPE

See Also:
  Constant Field Values

### PROP_CURRENCY_CATEGORY_OR_NAME

    public static final int PROP_CURRENCY_CATEGORY_OR_NAME

See Also:
  Constant Field Values

### PROP_TIME_BALANCE_OPTION

    public static final int PROP_TIME_BALANCE_OPTION

See Also:
  Constant Field Values

### PROP_TIME_BALANCE_SKIP_OPTION

    public static final int PROP_TIME_BALANCE_SKIP_OPTION

See Also:
  Constant Field Values

### PROP_SHARE_OPTION

    public static final int PROP_SHARE_OPTION

See Also:
  Constant Field Values

### PROP_CHILD_COUNT

    public static final int PROP_CHILD_COUNT

See Also:
  Constant Field Values

### PROP_IS_ATTRIBUTES_ASSOCIATED

    public static final int PROP_IS_ATTRIBUTES_ASSOCIATED

See Also:
  Constant Field Values

### PROP_ATTRIBUTE_VALUE

    public static final int PROP_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### PROP_DIMENSION_NAME

    public static final int PROP_DIMENSION_NAME

See Also:
  Constant Field Values

### s_countProperties

    public static final int s_countProperties

See Also:
  Constant Field Values

### s_propNames

    public static final java.lang.String[] s_propNames

### s_propDataTypes

    public static final IEssValueAny.EEssDataType[] s_propDataTypes

### s_propModes

    public static final IEssProperties.EEssPropertyMode[] s_propModes

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the member name.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The member name.
  Throws:
    `EssException` - if an error occurs.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the member description. This method is effective only for standard/ base member. For attribute member, this method always returns "";

  Returns:
    The member description.
  Throws:
    `EssException` - if an error occurs.

### setDescription

    public void setDescription(java.lang.String description)
                        throws EssException

  Sets the member description. This method is effective only for standard/ base member, and has no effect for the attribute member. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `description` - The member description.
  Throws:
    `EssException` - if an error occurs.

### isDimensionRootMember

    public boolean isDimensionRootMember()
                                  throws EssException

  Checks if this member is the root member of the dimension to which it belongs.

  Returns:
    true if this object is a dimension, false if it is a member.
  Throws:
    `EssException` - if an error occurs.

### getLevelNumber

    public int getLevelNumber()
                       throws EssException

  Gets the level of the member in the outline. The level number is zero-based, counting up from the lowest descendent of the specified member.

  Returns:
    The level number.
  Throws:
    `EssException` - if an error occurs.

### getGenerationNumber

    public int getGenerationNumber()
                            throws EssException

  Gets the level of the generation in the outline. The generation number is one-based, counting down from the specified member's dimension member.

  Returns:
    The generation number.
  Throws:
    `EssException` - if an error occurs.

### getConsolidationType

    public IEssMember.EEssConsolidationType getConsolidationType()
                                                          throws EssException

  Gets unary consolidation type.

  Returns:
    The unary consolidation type.
  Throws:
    `EssException` - if an error occurs.

### setConsolidationType

    public void setConsolidationType(IEssMember.EEssConsolidationType consolidation)
                              throws EssException

  Sets unary consolidation type. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `consolidation` - The unary consolidation type.
  Throws:
    `EssException` - if an error occurs.

### isTwoPassCalculationMember

    public boolean isTwoPassCalculationMember()
                                       throws EssException

  Checks if two-pass calculation member.

  Returns:
    true if two-pass calculation member.
  Throws:
    `EssException` - if an error occurs.

### setTwoPassCalculationMember

    public void setTwoPassCalculationMember(boolean twoPass)
                                     throws EssException

  Sets if two-pass calculation member. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `twoPass` - true if two-pass calculation member.
  Throws:
    `EssException` - if an error occurs.

### isExpenseMember

    public boolean isExpenseMember()
                            throws EssException

  Checks if expense member. This is valid only for members of the accounts dimension.

  Returns:
    true if expense member.
  Throws:
    `EssException` - if an error occurs.

### setExpenseMember

    public void setExpenseMember(boolean expense)
                          throws EssException

  Sets if expense member. This is valid only for members of the accounts dimension. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `expense` - true if expense member.
  Throws:
    `EssException` - if an error occurs.

### getCurrencyConversionType

    public IEssMember.EEssCurrencyConversionType getCurrencyConversionType()
                                                                    throws EssException

  Gets the currency conversion type. This is valid only for members of the Accounts dimension.

  Returns:
    The currency conversion type.
  Throws:
    `EssException` - if an error occurs.

### setCurrencyConversionType

    public void setCurrencyConversionType(IEssMember.EEssCurrencyConversionType conversion)
                                   throws EssException

  Gets the currency conversion type. This is valid only for members of the Accounts dimension. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `conversion` - The currency conversion type.
  Throws:
    `EssException` - if an error occurs.

### getCurrencyCategoryOrName

    public java.lang.String getCurrencyCategoryOrName()
                                               throws EssException

  Gets the currency category (If member is of the accounts dimension and currency conversion (EEssCurrencyConversionType) is CATEGORY) or the currency name (If member is of the Country dimension). This field is undefined in all other situations.

  Returns:
    The currency category or the currency name.
  Throws:
    `EssException` - if an error occurs.

### setCurrencyCategoryOrName

    public void setCurrencyCategoryOrName(java.lang.String curCatOrName)
                                   throws EssException

  Sets the currency category (If member is of the accounts dimension and currency conversion (EEssCurrencyConversionType) is CATEGORY) or the currency name (If member is of the Country dimension). This field is undefined in all other situations. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `curCatOrName` - The currency category or the currency name.
  Throws:
    `EssException` - if an error occurs.

### getTimeBalanceOption

    public IEssMember.EEssTimeBalanceOption getTimeBalanceOption()
                                                          throws EssException

  Gets the time balance option. This field is valid only for members of the accounts dimension.

  Returns:
    The time balance option.
  Throws:
    `EssException` - if an error occurs.

### setTimeBalanceOption

    public void setTimeBalanceOption(IEssMember.EEssTimeBalanceOption timeBalance)
                              throws EssException

  Gets the time balance option. This field is valid only for members of the Accounts dimension. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `timeBalance` - The time balance option.
  Throws:
    `EssException` - if an error occurs.

### getTimeBalanceSkipOption

    public IEssMember.EEssTimeBalanceSkipOption getTimeBalanceSkipOption()
                                                                  throws EssException

  Gets the time balance skip option. This is valid only for members of the Accounts dimension if time balance (EEssTimeBalanceOption) is not equal to NONE.

  Returns:
    The time balance skip option.
  Throws:
    `EssException` - if an error occurs.

### setTimeBalanceSkipOption

    public void setTimeBalanceSkipOption(IEssMember.EEssTimeBalanceSkipOption timeBalSkip)
                                  throws EssException

  Gets the Time balance skip option. This is valid only for members of the Accounts dimension if time balance (EEssTimeBalanceOption) is not equal to NONE. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `timeBalSkip` - The time balance skip option.
  Throws:
    `EssException` - if an error occurs.

### getShareOption

    public IEssMember.EEssShareOption getShareOption()
                                              throws EssException

  Gets the data storage share option.

  Returns:
    The share option.
  Throws:
    `EssException` - if an error occurs.

### setShareOption

    public void setShareOption(IEssMember.EEssShareOption share)
                        throws EssException

  Sets the data storage share option. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `share` - The share option.
  Throws:
    `EssException` - if an error occurs.

### getDimensionCategory

    public IEssDimension.EEssDimensionCategory getDimensionCategory()
                                                             throws EssException

  Gets the Dimension category. This is valid only for dimension root and attribute members.

  Returns:
    The Dimension category.
  Throws:
    `EssException` - if an error occurs.

### getDimensionStorageCategory

    public IEssDimension.EEssDimensionStorageCategory getDimensionStorageCategory()
                                                                           throws EssException

  Gets the dimension storage category. This is valid only for dimension and attribute members. Optimizes the storage types of dimensions when the outline is configured for automatic optimization.

  Returns:
    The dimension storage category.
  Throws:
    `EssException` - if an error occurs.

### getAttributeMemberDataType

    public IEssDimension.EEssAttributeDataType getAttributeMemberDataType()
                                                                   throws EssException

  Gets the attribute member data type. This method is to be used only for attribute members.

  Returns:
    The attribute member data type.
  Throws:
    `EssException` - if an error occurs.

### setAttributeMemberDataType

    public void setAttributeMemberDataType(IEssDimension.EEssAttributeDataType attrMbrDataType)
                                    throws EssException

  Gets the attribute member data type. This method is to be used only for attribute members. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `attrMbrDataType` - The attribute member data type.
  Throws:
    `EssException` - if an error occurs.

### getChildCount

    public int getChildCount()
                      throws EssException

  Gets the total number of children of this member.

  Returns:
    The child count.
  Throws:
    `EssException` - if an error occurs.

### isAttributesAssociated

    public boolean isAttributesAssociated()
                                   throws EssException

  Checks if this member has attributes associated with it.

  Returns:
    true if attributes are associated with this member.
  Throws:
    `EssException` - if an error occurs.

### getAttributeValue

    public IEssValueAny getAttributeValue()
                                   throws EssException

  Gets the attribute value. NOTE: The date attribute value is stored as GMT.

  Returns:
    The attribute value (with type of: boolean or double or Date or String)
  Throws:
    `EssException` - if an error occurs.

### getDimensionName

    public java.lang.String getDimensionName()
                                      throws EssException

  Gets the member's dimension name.

  Returns:
    The dimension name.
  Throws:
    `EssException` - if an error occurs.

### getParentMemberName

    public java.lang.String getParentMemberName()
                                         throws EssException

  Gets the parent member name.

  Returns:
    The parent member name. "" if the member has no parent.
  Throws:
    `EssException` - if an error occurs.

### getFirstChildMemberName

    public java.lang.String getFirstChildMemberName()
                                             throws EssException

  Deprecated.

  Gets the first child member name.

  Returns:
    The first child member name. "" if the member has no child.
  Throws:
    `EssException` - if an error occurs.

### getPreviousSiblingMemberName

    public java.lang.String getPreviousSiblingMemberName()
                                                  throws EssException

  Deprecated.

  Gets the previous sibling member name.

  Returns:
    The previous sibling member name. "" if the member has no previous sibling.
  Throws:
    `EssException` - if an error occurs.

### getNextSiblingMemberName

    public java.lang.String getNextSiblingMemberName()
                                              throws EssException

  Deprecated.

  Gets the next sibling member name.

  Returns:
    The next sibling member name. "" if the member has no next sibling.
  Throws:
    `EssException` - if an error occurs.

### getMemberNumber

    public int getMemberNumber()
                        throws EssException

  Gets the member number (The position of the member starting from bottom left in the dimension hierarchy).

  Returns:
    The member number.
  Throws:
    `EssException` - if an error occurs.

### getDimensionNumber

    public int getDimensionNumber()
                           throws EssException

  Gets the member's dimension number.

  Returns:
    The dimension number.
  Throws:
    `EssException` - if an error occurs.

### isRelationalDescendantPresent

    public boolean isRelationalDescendantPresent()
                                          throws EssException

  Checks if relational descendant is present.

  Returns:
    true if relational descendant is present.
  Throws:
    `EssException` - if an error occurs.

### setRelationalDescendantPresent

    public void setRelationalDescendantPresent(boolean relDesc)
                                        throws EssException

  Sets if relational descendant is present.

  Parameters:
    `relDesc` - true if relational descendant is present.
  Throws:
    `EssException` - if an error occurs.

### isRelationalPartitionEnabled

    public boolean isRelationalPartitionEnabled()
                                         throws EssException

  Checks if relational partition is enabled.

  Returns:
    true if relational partition is enabled.
  Throws:
    `EssException` - if an error occurs.

### setRelationalPartitionEnabled

    public void setRelationalPartitionEnabled(boolean relPartEnabled)
                                       throws EssException

  Sets if relational partition is enabled.

  Parameters:
    `relPartEnabled` - true if relational partition is enabled.
  Throws:
    `EssException` - if an error occurs.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Specified by:
    `refreshPropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues().

  Specified by:
    `updatePropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### createChildMember

    public IEssMember createChildMember(java.lang.String name)
                                 throws EssException

  Creates a child member.

  Parameters:
    `name` - The member name to create.
  Returns:
    The child member.
  Throws:
    `EssException` - if an error occurs.

### createChildMember

    public IEssMember createChildMember(java.lang.String name,
                                        IEssMember prevSibling)
                                 throws EssException

  Creates a child member.

  Parameters:
    `name` - The member name to create.
    `prevSibling` - The previous sibling member. The new member will be placed after this member.
  Returns:
    The child member.
  Throws:
    `EssException` - if an error occurs.

### createChildMember

    public IEssMember createChildMember(java.lang.String name,
                                        IEssMember prevSibling,
                                        IEssMember.EEssShareOption shareOption)
                                 throws EssException

  Creates a child member.

  Parameters:
    `name` - The member name to create.
    `prevSibling` - The previous sibling member. The new member will be placed after this member.
    `shareOption` - The share option.
  Returns:
    The child member.
  Throws:
    `EssException` - if an error occurs.

### createChildMember

    public IEssMember createChildMember(java.lang.String name,
                                        IEssMember prevSibling,
                                        java.lang.String description,
                                        IEssMember.EEssConsolidationType consolidation,
                                        boolean twoPass,
                                        boolean expense,
                                        IEssMember.EEssCurrencyConversionType conversion,
                                        java.lang.String curCatOrName,
                                        IEssMember.EEssTimeBalanceOption timeBalance,
                                        IEssMember.EEssTimeBalanceSkipOption timeBalSkip,
                                        IEssMember.EEssShareOption shareOption)
                                 throws EssException

  Creates a child member.

  Parameters:
    `name` - The member name to create.
    `prevSibling` - The previous sibling member. The new member will be placed after this member.
    `description` - The member description.
    `consolidation` - The unary consolidation type.
    `twoPass` - true if two-pass calculation member.
    `expense` - true if expense member.
    `conversion` - The currency conversion type.
    `curCatOrName` - The currency category or the currency name.
    `timeBalance` - The Time balance option.
    `timeBalSkip` - The Time balance skip option.
  Returns:
    The child member.
  Throws:
    `EssException` - if an error occurs.

### createChildAttributeMember

    public IEssMember createChildAttributeMember(java.lang.String name,
                                                 IEssDimension.EEssAttributeDataType attrDataType,
                                                 IEssMember prevSibling)
                                          throws EssException

  Creates a child attribute member.

  Parameters:
    `name` - The member name to create.
    `attrDataType` - The attribute member data type.
    `prevSibling` - The previous sibling member. The new member will be placed after this member.
  Returns:
    The child member.
  Throws:
    `EssException` - if an error occurs.

### sortChildren

    public void sortChildren(boolean ascending)
                      throws EssException

  Sorts the children of this member.

  Parameters:
    `ascending` - true if sort type is ascending, false is descending.
  Throws:
    `EssException` - if an error occurs.

### getChildMembers

    public IEssIterator getChildMembers()
                                 throws EssException

  Gets the list of child members. This method inturn calls getChildMembers(false).

  Returns:
    The child members (each of type IEssMember).
  Throws:
    `EssException` - if an error occurs.

### getChildMembers

    public IEssIterator getChildMembers(boolean withAllProps)
                                 throws EssException

  Gets the list of child members.

  Parameters:
    `withAllProps` - true to get all the properties associated with the child members in one round trip. false to get the names alone (the rest of the properties will be fetched once the member object is accessed for any property other than the name).
  Returns:
    The child members (each of type IEssMember).
  Throws:
    `EssException` - if an error occurs.

### getRelatedMemberNames

    public java.lang.String[] getRelatedMemberNames()
                                             throws EssException

  Gets the name of the parent, previous sibling, next sibling, first child.

  Returns:
    Array of 4 names. String[0] - parent member name, String[1] - previous sibling member name, String[2] - next sibling member name, String[3] - first child member name.
  Throws:
    `EssException` - if an error occurs.

### delete

    public void delete()
                throws EssException

  Delete the member from the outline.

  Throws:
    `EssException` - if an error occurs.

### rename

    public void rename(java.lang.String newMbrName)
                throws EssException

  Renames the member.

  Parameters:
    `newMbrName` - The new name for the member.
  Throws:
    `EssException` - if an error occurs.

### getLastFormula

    public java.lang.String getLastFormula()
                                    throws EssException

  Gets the last member formula used to calculate the member.

  Returns:
    The member formula.
  Throws:
    `EssException` - if an error occurs.

### getFormula

    public java.lang.String getFormula()
                                throws EssException

  Gets the member formula.

  Returns:
    The member formula.
  Throws:
    `EssException` - if an error occurs.

### setFormula

    public void setFormula(java.lang.String formula)
                    throws EssException

  Sets the member formula.

  Parameters:
    `formula` - The member formula.
  Throws:
    `EssException` - if an error occurs.

### deleteFormula

    public void deleteFormula()
                       throws EssException

  Deletes the member formula.

  Throws:
    `EssException` - if an error occurs.

### getAlias

    public java.lang.String getAlias(java.lang.String aliasTablename)
                              throws EssException

  Gets the default member alias for this member in a specific alias table.

  Returns:
    The default member alias.
  Throws:
    `EssException` - if an error occurs.

### setAlias

    public void setAlias(java.lang.String aliasTablename,
                         java.lang.String alias)
                  throws EssException

  Sets the default member alias for this member in a specific alias table.

  Parameters:
    `alias` - The default member alias.
  Throws:
    `EssException` - if an error occurs.

### deleteAlias

    public void deleteAlias(java.lang.String aliasTablename)
                     throws EssException

  Deletes the default member alias for this member in a specific alias table.

  Throws:
    `EssException` - if an error occurs.

### addAliasCombination

    public void addAliasCombination(java.lang.String aliasTableName,
                                    java.lang.String alias,
                                    java.lang.String mbrCombination)
                             throws EssException

  Deprecated. This function is deprecated in 7.1 version.

  Adds an alias combination to this member for a specific alias table.

  Parameters:
    `aliasTableName` - The alias table to add the combination to. If this parameter is null, the default alias table is used.
    `alias` - The alias.
    `mbrCombination` - The member combination to associate with the alias. This can be a cross-dimensional member list.
  Throws:
    `EssException` - if an error occurs.

### deleteAliasCombination

    public void deleteAliasCombination(java.lang.String aliasTableName,
                                       java.lang.String alias)
                                throws EssException

  Deprecated. This function is deprecated in 7.1 version.

  Deletes an alias combination for this member in a specific alias table.

  Parameters:
    `aliasTableName` - The alias table to remove the combination from. If this parameter is null, the default alias table is used.
    `alias` - The alias to remove.
  Throws:
    `EssException` - if an error occurs.

### getAliasCombinations

    public java.lang.String[] getAliasCombinations(java.lang.String aliasTableName)
                                            throws EssException

  Deprecated. This function is deprecated in 7.1 version.

  Gets all the alias combinations for this member in a specific alias table.

  Parameters:
    `aliasTableName` - The alias table to retrieve the alias combinations from. If this parameter is null, the default alias table is used.
  Returns:
    The alias combinations. The first entry is the first alias, The next entry is the member combination for first alias, The next entry is the second alias and so on.
  Throws:
    `EssException` - if an error occurs.

### getUDAs

    public java.lang.String[] getUDAs()
                               throws EssException

  Gets the User Defined Attributes of this member.

  Returns:
    The User Defined Attributes. null if there are no attributes.
  Throws:
    `EssException` - if an error occurs.

### createUDA

    public void createUDA(java.lang.String uda)
                   throws EssException

  Creates a User Defined Attribute for this member.

  Parameters:
    `uda` - The User Defined Attribute to create.
  Throws:
    `EssException` - if an error occurs.

### deleteUDA

    public void deleteUDA(java.lang.String uda)
                   throws EssException

  Deletes a User Defined Attribute for this member.

  Parameters:
    `uda` - The User Defined Attribute to delete.
  Throws:
    `EssException` - if an error occurs.

### getAssociatedAttributes

    public IEssIterator getAssociatedAttributes()
                                         throws EssException

  Gets all attribute members that are associated with a base member or dimension.

  Returns:
    The list of attribute members (each of type IEssMember).
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD